apiVersion: apps/v1beta2
kind: Deployment
metadata:
  name: redis-cobacoba
  labels:
    deployment: redis
spec:
  selector:
    matchLabels:
      pod: redis-cobacoba
  replicas: 1
  template:
    metadata:
      labels:
        pod: redis-cobacoba
    spec:
      containers:
      - name: redis-cobacoba
        image: redis
        resources:
          limits:
            cpu: 50m
        ports:
        - containerPort: 6379